cpincl Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
cpincl Module Reference
Collaboration diagram for cpincl:

## Data Fields
double precision | epsicp
integer, save | ncharb
integer, dimension(ncharm), save | nclpch
double precision, dimension(ncharm), save | cch
double precision, dimension(ncharm), save | hch
double precision, dimension(ncharm), save | och
double precision, dimension(ncharm), save | sch
double precision, dimension(ncharm), save | nch
double precision, dimension(ncharm), save | alpha
double precision, dimension(ncharm), save | beta
double precision, dimension(ncharm), save | teta
double precision, dimension(ncharm), save | omega
double precision, dimension(ncharm), save | pcich
double precision, dimension(ncharm), save | rho0ch
double precision, dimension(ncharm), save | thcdch
double precision, dimension(ncharm), save | cck
double precision, dimension(ncharm), save | hck
double precision, dimension(ncharm), save | ock
double precision, dimension(ncharm), save | sck
double precision, dimension(ncharm), save | nck
double precision, dimension(ncharm), save | gamma
double precision, dimension(ncharm), save | delta
double precision, dimension(ncharm), save | kappa
double precision, dimension(ncharm), save | zeta
double precision, dimension(ncharm), save | rhock
double precision, dimension(ncharm), save | pcick
double precision, dimension(ncharm), save | xashch
double precision, dimension(ncharm), save | cpashc
double precision, dimension(ncharm), save | h0ashc
double precision, dimension(ncharm), save | h02ch
double precision, dimension(ncharm), save | cp2ch
double precision, dimension(ncharm), save | xwatch
double precision, dimension(ncharm), save | cp2wat
double precision, dimension(2, ncharm), save | crepn1
double precision, dimension(2, ncharm), save | crepn2
integer, dimension(ncharm), save | iy1ch
integer, dimension(ncharm), save | iy2ch
integer, dimension(ncharm), save | iochet
integer, dimension(ncharm), save | ioetc2
integer, dimension(ncharm), save | ioetwt
double precision, dimension(ncharm), save | y1ch
double precision, dimension(ncharm), save | a1ch
double precision, dimension(ncharm), save | e1ch
double precision, dimension(ncharm), save | y2ch
double precision, dimension(ncharm), save | a2ch
double precision, dimension(ncharm), save | e2ch
double precision, dimension(ncharm), save | ahetch
double precision, dimension(ncharm), save | ehetch
double precision, dimension(ncharm), save | ahetc2
double precision, dimension(ncharm), save | ehetc2
double precision, dimension(ncharm), save | ahetwt
double precision, dimension(ncharm), save | ehetwt
integer | nsolim
integer, save | nsolid
integer, dimension(ncharm), save | ich
integer, dimension(ncharm), save | ick
integer, dimension(ncharm), save | iash
integer, dimension(ncharm), save | iwat
double precision, dimension(nsolim, npot), save | ehsoli
double precision, dimension(nsolim), save | wmols
double precision, dimension(nsolim), save | eh0sol
integer, save | nclacp
integer, dimension(nclcpm), save | ichcor
double precision, dimension(nclcpm), save | diam20
double precision, dimension(nclcpm), save | dia2mn
double precision, dimension(nclcpm), save | rho20
double precision, dimension(nclcpm), save | rho2mn
double precision, dimension(nclcpm), save | xmp0
double precision, dimension(nclcpm), save | xmash
integer, dimension(ncharm), save | ichx1c
integer, dimension(ncharm), save | ichx2c
integer, save | ichx1
integer, save | ichx2
integer, save | ico
integer, save | io2
integer, save | ico2
integer, save | ih2o
integer, save | in2
double precision, dimension(ncharm), save | chx1
double precision, dimension(ncharm), save | chx2
double precision, dimension(ncharm), save | a1
double precision, dimension(ncharm), save | b1
double precision, dimension(ncharm), save | c1
double precision, dimension(ncharm), save | d1
double precision, dimension(ncharm), save | e1
double precision, dimension(ncharm), save | f1
double precision, dimension(ncharm), save | a2
double precision, dimension(ncharm), save | b2
double precision, dimension(ncharm), save | c2
double precision, dimension(ncharm), save | d2
double precision, dimension(ncharm), save | e2
double precision, dimension(ncharm), save | f2
integer, dimension(nozppm), save | ientat
integer, dimension(nozppm), save | ientcp
double precision, dimension(nozppm), save | timpat
double precision, dimension(nozppm, nclcpm), save | x20
integer, dimension(ncharm), save | if1mc
integer, dimension(ncharm), save | if2mc
integer, save | ix1mc
integer, save | ix2mc
integer, save | ichx1f1
integer, save | ichx2f2
integer, save | icof1
integer, save | icof2
integer, save | ih2of1
integer, save | ih2of2
integer, save | ih2sf1
integer, save | ih2sf2
integer, save | ihcnf1
integer, save | ihcnf2
double precision, dimension(nozppm), save | qimpat
double precision, dimension(nozppm, ncharm), save | qimpcp
double precision, dimension(nozppm, ncharm), save | timpcp
double precision, dimension(nozppm, ncharm, ncpcmx), save | distch
double precision, dimension(npot), save | thc
integer, save | npoc

## Field Documentation

double precision, dimension(ncharm), save a1

double precision, dimension (ncharm), save a1ch

double precision, dimension(ncharm), save a2

double precision, dimension (ncharm), save a2ch

double precision, dimension(ncharm), save ahetc2

double precision, dimension(ncharm), save ahetch

double precision, dimension(ncharm), save ahetwt

double precision, dimension (ncharm), save alpha

double precision, dimension(ncharm), save b1

double precision, dimension(ncharm), save b2

double precision, dimension (ncharm), save beta

double precision, dimension(ncharm), save c1

double precision, dimension(ncharm), save c2

double precision, dimension (ncharm), save cch

double precision, dimension (ncharm), save cck

double precision, dimension(ncharm), save chx1

double precision, dimension(ncharm), save chx2

double precision, dimension (ncharm), save cp2ch

double precision, dimension(ncharm), save cp2wat

double precision, dimension(ncharm), save cpashc

double precision, dimension(2,ncharm), save crepn1

double precision, dimension(2,ncharm), save crepn2

double precision, dimension(ncharm), save d1

double precision, dimension(ncharm), save d2

double precision, dimension (ncharm), save delta

double precision, dimension(nclcpm), save dia2mn

double precision, dimension(nclcpm), save diam20

double precision, dimension(nozppm,ncharm,ncpcmx), save distch

double precision, dimension(ncharm), save e1

double precision, dimension (ncharm), save e1ch

double precision, dimension(ncharm), save e2

double precision, dimension (ncharm), save e2ch

double precision, dimension(nsolim), save eh0sol

double precision, dimension(ncharm), save ehetc2

double precision, dimension(ncharm), save ehetch

double precision, dimension(ncharm), save ehetwt

double precision, dimension(nsolim,npot), save ehsoli

double precision epsicp

double precision, dimension(ncharm), save f1

double precision, dimension(ncharm), save f2

double precision, dimension (ncharm), save gamma

double precision, dimension (ncharm), save h02ch

double precision, dimension(ncharm), save h0ashc

double precision, dimension (ncharm), save hch

double precision, dimension (ncharm), save hck

integer, dimension(ncharm), save iash

integer, dimension(ncharm), save ich

integer, dimension(nclcpm), save ichcor

integer, save ichx1

integer, dimension(ncharm), save ichx1c

integer, save ichx1f1

integer, save ichx2

integer, dimension(ncharm), save ichx2c

integer, save ichx2f2

integer, dimension(ncharm), save ick

integer, save ico

integer, save ico2

integer, save icof1

integer, save icof2

integer, dimension(nozppm), save ientat

integer, dimension(nozppm), save ientcp

integer, dimension(ncharm), save if1mc

integer, dimension(ncharm), save if2mc

integer, save ih2o

integer, save ih2of1

integer, save ih2of2

integer, save ih2sf1

integer, save ih2sf2

integer, save ihcnf1

integer, save ihcnf2

integer, save in2

integer, save io2

integer, dimension (ncharm), save iochet

integer, dimension(ncharm), save ioetc2

integer, dimension(ncharm), save ioetwt

integer, dimension(ncharm), save iwat

integer, save ix1mc

integer, save ix2mc

integer, dimension (ncharm), save iy1ch

integer, dimension (ncharm), save iy2ch

double precision, dimension(ncharm), save kappa

double precision, dimension(ncharm), save nch

integer, save ncharb

double precision, dimension(ncharm), save nck

integer, save nclacp

integer, dimension(ncharm), save nclpch

integer, save npoc

integer, save nsolid

integer nsolim

double precision, dimension (ncharm), save och

double precision, dimension (ncharm), save ock

double precision, dimension(ncharm), save omega

double precision, dimension (ncharm), save pcich

double precision, dimension (ncharm), save pcick

double precision, dimension(nozppm), save qimpat

double precision, dimension(nozppm,ncharm), save qimpcp

double precision, dimension(ncharm), save rho0ch

double precision, dimension (nclcpm), save rho20

double precision, dimension(nclcpm), save rho2mn

double precision, dimension (ncharm), save rhock

double precision, dimension(ncharm), save sch

double precision, dimension (ncharm), save sck

double precision, dimension(ncharm), save teta

double precision, dimension(npot), save thc

double precision, dimension(ncharm), save thcdch

double precision, dimension(nozppm), save timpat

double precision, dimension(nozppm,ncharm), save timpcp

double precision, dimension(nsolim), save wmols

double precision, dimension(nozppm,nclcpm), save x20

double precision, dimension(ncharm), save xashch

double precision, dimension (nclcpm), save xmash

double precision, dimension (nclcpm), save xmp0

double precision, dimension(ncharm), save xwatch

double precision, dimension (ncharm), save y1ch

double precision, dimension (ncharm), save y2ch

double precision, dimension(ncharm), save zeta

The documentation for this module was generated from the following file:

- src/comb/cpincl.f90